let
  # pkgs contains the NixOS package collection. ARTIQ depends on some of them, and
  # you may want some additional packages from there.
  pkgs = import <nixpkgs> {};
  artiq-full = import <artiq-full> { inherit pkgs; };
in
  pkgs.mkShell {
    buildInputs = [
      (pkgs.python3.withPackages(ps: [
        # List desired Python packages here.
 
        artiq-full.artiq
        artiq-full.artiq-comtools
 
        ps.pandas
        ps.numpy
        ps.scipy
        ps.matplotlib.override { enableQt = true; }
        ps.ipython
        ps.setuptools
        #ps.spyder # esto lo rompe
      ]))
 
      #pkgs.spyder # esto lo rompe
      pkgs.qt5.full
      pkgs.gtkwave # para ver los vcd que saca el artiq
    ];
  }
